Summary:        IPTC tag library
Name:           libiptcdata
Version:        1.0.5
Release:        7%{?dist}
License:        LGPLv2+
URL:            https://github.com/ianw/%{name}
Source0:        %{url}/releases/download/%{name}-%{version}.tar.gz

BuildRequires:  autoconf automake gcc gettext gettext-devel
BuildRequires:  libtool python3-devel python3-setuptools

%description
libiptcdata is a library for parsing, editing, and saving IPTC data stored
inside images.  IPTC is a standard for encoding metadata such as captions,
titles, locations, etc. in the headers of an image file. libiptcdata also
includes a command-line utility for modifying the metadata.

%package -n     python3-%{name}
Summary:        Python bindings for libiptcdata
BuildRequires:  python3-devel make
Requires:       %{name} = %{version}-%{release}

%description -n python3-%{name}
The libiptcdata-python package contains a Python module that allows Python
applications to use the libiptcdata API for reading and writing IPTC metadata in images.

%package        devel
Summary:        Headers and libraries for libiptcdata application development
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
The libiptcdata-devel package contains the libraries and include files that you can
use to develop libiptcdata applications.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export PYTHON_VERSION=%python3_version
%configure --disable-gtk-doc --enable-python --disable-static
%make_build


%install
%make_install
find %{buildroot} -name "*.la" -exec rm -f {} \;
%find_lang %{name} --all-name


%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README TODO
%{_bindir}/*
%{_libdir}/lib*.so.*

%files -n python3-%{name}
%doc python/README
%doc python/examples/*
%{python3_sitearch}/*.so

%files devel
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/libiptcdata
%{_datadir}/gtk-doc/html/libiptcdata


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-6
- Rebuilt for loongarch release

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.5-2
- Rebuilt for OpenCloudOS Stream 23

* Fri Nov 25 2022 Shuo Wang <abushwang@tencent.com> - 1.0.5-1
- initial build
